html{
    max-height: 100%;
    max-width: 100%;
    box-sizing: border-box;
    margin: 0;
}

body {
    padding: 5px;
    font-family: 'Bahnschrift'; 
    justify-content: center;
    align-content: center;
    flex-direction: column;
    height: 75%;
    max-height: 75%;
    min-width: fit-content;
    width: auto;
    max-width: 80%;
    padding: 10px;
    margin: auto;
    background-color: rgb(202, 233, 255);
}

#main-container {
    max-width: 75%;
    width: auto;
    max-height: 75%;
    height: auto;
    display: flex;
    flex-flow: column wrap;
    justify-content: center;
    justify-self: center;
    align-self: center;
    margin: auto; 
}

/* HEADER && FOOTER */

header, footer {
    display: flex;
    flex-flow: column;
    justify-content: space-between;
    align-content: center;
    min-height: fit-content;
    max-width: 100%;
    padding: 20px;
    margin: 15px 0 15px 0;
    border-radius: 15px;
    border: 2px outset rgba(88, 159, 236, 0.912);
    background-color: rgb(248, 249, 237); 
    color: rgb(75, 116, 143);
    text-align: center;
    font-family: 'Century Gothic';
    text-overflow: ellipsis;
    /*237, 248, 249*/
}

h1, h2, p { margin: 5px;}

h1{font-size: 33px;}
h2{font-size: 28px; font-weight: 500; font-family: 'Consolas';}
footer p{font-size: 19px; font-weight: 600; font-family: 'Consolas';}

footer{
    height: 5vh;
    text-align: center;
    justify-content: center;
}

/* FORM SECTION */
section#middle-section, #main-section{
    display: flex;
    justify-content: center;
    align-content: center;
    max-width: 100%;
    background-color: rgb(114, 126, 142); /*124, 158, 178 */
    border: 2px outset rgba(19, 51, 178, 0.774);
}

#middle-section {border-radius: 15px 15px 0 0; border-bottom: hidden; padding: 45px 20px 25px 20px;}
#main-section {border-radius: 0 0 15px 15px; border-top: hidden; padding: 25px 20px 45px 20px;}

/* TABLE SECTION */
#main-section div{
    display: flex;
    flex-flow: column;
    overflow: auto;
    justify-content: center;
    align-content: center;
    align-items: center;
    height: 40vh;
    width: 85%;
    padding: 30px;
    border-radius: 20px;
    background-color: rgb(202, 241, 177);
    box-shadow: 5px 4px 5px rgba(44, 38, 60, 0.197);
}

/*TABLE*/

table{
    table-layout: fixed;
    text-align: center;
    align-content: center;
    max-width: 85%;
    background-color: rgb(202, 233, 255);
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-size: 17px;
    color: rgb(50, 81, 153);
    border: 2px ridge rgba(53, 68, 234, 0.532);
    
}

tbody{
    align-items: center;
    width: 100%;
}

thead {
    background-color: rgb(184, 242, 230);
    color: rgb(45, 79, 167);
    width: 100%;
    max-width: 100%;
    text-overflow: ellipsis;
    height: 50px;
}

table, th, td{
    border-radius: 3px;
    border-collapse: separate;
    border-spacing: 5px;
}

th, td{   
    text-align: center;
    min-width: 80px;
    width: 90px;
    max-width: 100%;
    padding: 5px;
    margin: 5px;
    border: 1.5px outset rgb(84, 64, 196);
}

#th_Amount, #th_Payment, #th_Date{
    min-width: 0;
    width: 50%;
}
#th_Date {
    min-width: 130px;
}

tr{
    width: auto;
    max-width: 100%;
    text-overflow: ellipsis;
}

tbody tr {
    max-height: 5vh;
    background-color: rgb(237, 248, 249);
}